Move execute wrappers to function.sh file
authorReto Buerki <reet@codelabs.ch>
Thu, 6 Dec 2012 15:58:37 +0000 (16:58 +0100)
committerTobias Brunner <tobias@strongswan.org>
Thu, 17 Jan 2013 14:22:09 +0000 (15:22 +0100)
testing/scripts/build-baseimage
testing/scripts/function.sh

index 7e380f8..de24778 100755 (executable)
@@ -13,31 +13,6 @@ DIR=`dirname $0`
 [ -f $DIR/../testing.conf ] || die "!! Configuration file 'testing.conf' not found"
 . $DIR/../testing.conf
 
-# execute command
-# $1 - command to execute
-# $2 - whether or not to log command exit status
-#      (0 -> disable exit status logging)
-execute()
-{
-       cmd=${1}
-       echo $cmd >>$LOGFILE
-       $cmd >>$LOGFILE 2>&1
-       status=$?
-       [ "$2" != 0 ] && log_status $status
-       if [ $status != 0 ]; then
-               echo "! command $cmd failed, exiting (status $status)"
-               echo "! check why here $LOGFILE"
-               exit 1
-       fi
-}
-
-# execute command in chroot
-# $1 - command to execute
-execute_chroot()
-{
-       execute "chroot $LOOPDIR $@"
-}
-
 # additional packages
 EXTRAS=build-essential,gperf,libgmp-dev,libldap2-dev,libcurl4-openssl-dev,libxml2-dev,libtspi-dev,libsqlite3-dev,openssh-server,tcpdump,psmisc,openssl,vim,sqlite3,conntrack,gdb,cmake,libxerces-c2-dev,libltdl-dev,liblog4cxx10-dev,libboost-thread-dev,libboost-system-dev,git-core
 SERVICES="isc-dhcp-server apache2 slapd"
index daf5648..4ee9b24 100755 (executable)
 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
 
+# execute command
+# $1 - command to execute
+# $2 - whether or not to log command exit status
+#      (0 -> disable exit status logging)
+execute()
+{
+       cmd=${1}
+       echo $cmd >>$LOGFILE 2>&1
+       $cmd >>$LOGFILE 2>&1
+       status=$?
+       [ "$2" != 0 ] && log_status $status
+       if [ $status != 0 ]; then
+               echo
+               echo "! Command $cmd failed, exiting (status $status)"
+               echo "! Check why here $LOGFILE"
+               exit 1
+       fi
+}
 
-############################################
-# output functions
-#
+# execute command in chroot
+# $1 - command to execute
+execute_chroot()
+{
+       execute "chroot $LOOPDIR $@"
+}
 
 export TERM=xterm